
From: Stephen Rothwell <sfr@canb.auug.org.au>

This patch puts the most popular of each open flag into asm-generic/fcntl.h
and cleans up the arch files.

Signed-off-by: Stephen Rothwell <sfr@canb.auug.org.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-alpha/fcntl.h   |    2 -
 include/asm-arm/fcntl.h     |   12 ----------
 include/asm-arm26/fcntl.h   |   10 --------
 include/asm-cris/fcntl.h    |   19 ----------------
 include/asm-frv/fcntl.h     |   17 --------------
 include/asm-generic/fcntl.h |   52 ++++++++++++++++++++++++++++++++++++++++----
 include/asm-h8300/fcntl.h   |   12 ----------
 include/asm-i386/fcntl.h    |   17 --------------
 include/asm-ia64/fcntl.h    |   21 -----------------
 include/asm-m32r/fcntl.h    |   17 --------------
 include/asm-m68k/fcntl.h    |   12 ----------
 include/asm-mips/fcntl.h    |    8 ------
 include/asm-parisc/fcntl.h  |    4 ---
 include/asm-ppc/fcntl.h     |   12 ----------
 include/asm-s390/fcntl.h    |   17 --------------
 include/asm-sh/fcntl.h      |   17 --------------
 include/asm-sparc/fcntl.h   |    2 -
 include/asm-sparc64/fcntl.h |    2 -
 include/asm-v850/fcntl.h    |   12 ----------
 include/asm-x86_64/fcntl.h  |   17 --------------
 include/asm-xtensa/fcntl.h  |    5 ----
 21 files changed, 48 insertions(+), 239 deletions(-)

diff -puN include/asm-alpha/fcntl.h~clean-up-the-open-flags include/asm-alpha/fcntl.h
--- devel/include/asm-alpha/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-alpha/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -10,9 +10,7 @@
 
 #define O_NONBLOCK	 00004
 #define O_APPEND	 00010
-#define O_NDELAY	O_NONBLOCK
 #define O_SYNC		040000
-#define FASYNC		020000	/* fcntl, for BSD compatibility */
 #define O_DIRECTORY	0100000	/* must be a directory */
 #define O_NOFOLLOW	0200000 /* don't follow links */
 #define O_LARGEFILE	0400000 /* will be set by the kernel on every open */
diff -puN include/asm-arm26/fcntl.h~clean-up-the-open-flags include/asm-arm26/fcntl.h
--- devel/include/asm-arm26/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-arm26/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -3,20 +3,10 @@
 
 /* open/fcntl - O_SYNC is only implemented on blocks devices and on files
    located on an ext2 file system */
-#define O_CREAT		   0100	/* not fcntl */
-#define O_EXCL		   0200	/* not fcntl */
-#define O_NOCTTY	   0400	/* not fcntl */
-#define O_TRUNC		  01000	/* not fcntl */
-#define O_APPEND	  02000
-#define O_NONBLOCK	  04000
-#define O_NDELAY	O_NONBLOCK
-#define O_SYNC		 010000
-#define FASYNC		 020000	/* fcntl, for BSD compatibility */
 #define O_DIRECTORY	 040000	/* must be a directory */
 #define O_NOFOLLOW	0100000	/* don't follow links */
 #define O_DIRECT	0200000	/* direct disk access hint - currently ignored */
 #define O_LARGEFILE	0400000
-#define O_NOATIME	01000000
 
 #define F_GETLK		5
 #define F_SETLK		6
diff -puN include/asm-arm/fcntl.h~clean-up-the-open-flags include/asm-arm/fcntl.h
--- devel/include/asm-arm/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-arm/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -1,22 +1,10 @@
 #ifndef _ARM_FCNTL_H
 #define _ARM_FCNTL_H
 
-/* open/fcntl - O_SYNC is only implemented on blocks devices and on files
-   located on an ext2 file system */
-#define O_CREAT		   0100	/* not fcntl */
-#define O_EXCL		   0200	/* not fcntl */
-#define O_NOCTTY	   0400	/* not fcntl */
-#define O_TRUNC		  01000	/* not fcntl */
-#define O_APPEND	  02000
-#define O_NONBLOCK	  04000
-#define O_NDELAY	O_NONBLOCK
-#define O_SYNC		 010000
-#define FASYNC		 020000	/* fcntl, for BSD compatibility */
 #define O_DIRECTORY	 040000	/* must be a directory */
 #define O_NOFOLLOW	0100000	/* don't follow links */
 #define O_DIRECT	0200000	/* direct disk access hint - currently ignored */
 #define O_LARGEFILE	0400000
-#define O_NOATIME	01000000
 
 #define F_GETLK		5
 #define F_SETLK		6
diff -puN include/asm-cris/fcntl.h~clean-up-the-open-flags include/asm-cris/fcntl.h
--- devel/include/asm-cris/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-cris/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -1,25 +1,6 @@
 #ifndef _CRIS_FCNTL_H
 #define _CRIS_FCNTL_H
 
-/* verbatim copy of i386 version */
-
-/* open/fcntl - O_SYNC is only implemented on blocks devices and on files
-   located on an ext2 file system */
-#define O_CREAT		   0100	/* not fcntl */
-#define O_EXCL		   0200	/* not fcntl */
-#define O_NOCTTY	   0400	/* not fcntl */
-#define O_TRUNC		  01000	/* not fcntl */
-#define O_APPEND	  02000
-#define O_NONBLOCK	  04000
-#define O_NDELAY	O_NONBLOCK
-#define O_SYNC		 010000
-#define FASYNC		 020000	/* fcntl, for BSD compatibility */
-#define O_DIRECT	 040000	/* direct disk access hint - currently ignored */
-#define O_LARGEFILE	0100000
-#define O_DIRECTORY	0200000	/* must be a directory */
-#define O_NOFOLLOW	0400000 /* don't follow links */
-#define O_NOATIME	01000000
-
 #define F_GETLK		5
 #define F_SETLK		6
 #define F_SETLKW	7
diff -puN include/asm-frv/fcntl.h~clean-up-the-open-flags include/asm-frv/fcntl.h
--- devel/include/asm-frv/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-frv/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -1,23 +1,6 @@
 #ifndef _ASM_FCNTL_H
 #define _ASM_FCNTL_H
 
-/* open/fcntl - O_SYNC is only implemented on blocks devices and on files
-   located on an ext2 file system */
-#define O_CREAT		   0100	/* not fcntl */
-#define O_EXCL		   0200	/* not fcntl */
-#define O_NOCTTY	   0400	/* not fcntl */
-#define O_TRUNC		  01000	/* not fcntl */
-#define O_APPEND	  02000
-#define O_NONBLOCK	  04000
-#define O_NDELAY	O_NONBLOCK
-#define O_SYNC		 010000
-#define FASYNC		 020000	/* fcntl, for BSD compatibility */
-#define O_DIRECT	 040000	/* direct disk access hint */
-#define O_LARGEFILE	0100000
-#define O_DIRECTORY	0200000	/* must be a directory */
-#define O_NOFOLLOW	0400000 /* don't follow links */
-#define O_NOATIME	01000000
-
 #define F_GETLK		5
 #define F_SETLK		6
 #define F_SETLKW	7
diff -puN include/asm-generic/fcntl.h~clean-up-the-open-flags include/asm-generic/fcntl.h
--- devel/include/asm-generic/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-generic/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -1,10 +1,54 @@
 #ifndef _ASM_GENERIC_FCNTL_H
 #define _ASM_GENERIC_FCNTL_H
 
-#define O_ACCMODE	0003
-#define O_RDONLY	0000
-#define O_WRONLY	0001
-#define O_RDWR		0002
+/* open/fcntl - O_SYNC is only implemented on blocks devices and on files
+   located on an ext2 file system */
+#define O_ACCMODE	00000003
+#define O_RDONLY	00000000
+#define O_WRONLY	00000001
+#define O_RDWR		00000002
+#ifndef O_CREAT
+#define O_CREAT		00000100	/* not fcntl */
+#endif
+#ifndef O_EXCL
+#define O_EXCL		00000200	/* not fcntl */
+#endif
+#ifndef O_NOCTTY
+#define O_NOCTTY	00000400	/* not fcntl */
+#endif
+#ifndef O_TRUNC
+#define O_TRUNC		00001000	/* not fcntl */
+#endif
+#ifndef O_APPEND
+#define O_APPEND	00002000
+#endif
+#ifndef O_NONBLOCK
+#define O_NONBLOCK	00004000
+#endif
+#ifndef O_SYNC
+#define O_SYNC		00010000
+#endif
+#ifndef FASYNC
+#define FASYNC		00020000	/* fcntl, for BSD compatibility */
+#endif
+#ifndef O_DIRECT
+#define O_DIRECT	00040000	/* direct disk access hint */
+#endif
+#ifndef O_LARGEFILE
+#define O_LARGEFILE	00100000
+#endif
+#ifndef O_DIRECTORY
+#define O_DIRECTORY	00200000	/* must be a directory */
+#endif
+#ifndef O_NOFOLLOW
+#define O_NOFOLLOW	00400000	/* don't follow links */
+#endif
+#ifndef O_NOATIME
+#define O_NOATIME	01000000
+#endif
+#ifndef O_NDELAY
+#define O_NDELAY	O_NONBLOCK
+#endif
 
 #define F_DUPFD		0	/* dup */
 #define F_GETFD		1	/* get close_on_exec */
diff -puN include/asm-h8300/fcntl.h~clean-up-the-open-flags include/asm-h8300/fcntl.h
--- devel/include/asm-h8300/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-h8300/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -1,22 +1,10 @@
 #ifndef _H8300_FCNTL_H
 #define _H8300_FCNTL_H
 
-/* open/fcntl - O_SYNC is only implemented on blocks devices and on files
-   located on an ext2 file system */
-#define O_CREAT		  0100	/* not fcntl */
-#define O_EXCL		  0200	/* not fcntl */
-#define O_NOCTTY	  0400	/* not fcntl */
-#define O_TRUNC		 01000	/* not fcntl */
-#define O_APPEND	 02000
-#define O_NONBLOCK	 04000
-#define O_NDELAY	O_NONBLOCK
-#define O_SYNC		010000
-#define FASYNC		020000	/* fcntl, for BSD compatibility */
 #define O_DIRECTORY	040000	/* must be a directory */
 #define O_NOFOLLOW	0100000	/* don't follow links */
 #define O_DIRECT	0200000	/* direct disk access hint - currently ignored */
 #define O_LARGEFILE	0400000
-#define O_NOATIME	01000000
 
 #define F_GETLK		5
 #define F_SETLK		6
diff -puN include/asm-i386/fcntl.h~clean-up-the-open-flags include/asm-i386/fcntl.h
--- devel/include/asm-i386/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-i386/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -1,23 +1,6 @@
 #ifndef _I386_FCNTL_H
 #define _I386_FCNTL_H
 
-/* open/fcntl - O_SYNC is only implemented on blocks devices and on files
-   located on an ext2 file system */
-#define O_CREAT		   0100	/* not fcntl */
-#define O_EXCL		   0200	/* not fcntl */
-#define O_NOCTTY	   0400	/* not fcntl */
-#define O_TRUNC		  01000	/* not fcntl */
-#define O_APPEND	  02000
-#define O_NONBLOCK	  04000
-#define O_NDELAY	O_NONBLOCK
-#define O_SYNC		 010000
-#define FASYNC		 020000	/* fcntl, for BSD compatibility */
-#define O_DIRECT	 040000	/* direct disk access hint */
-#define O_LARGEFILE	0100000
-#define O_DIRECTORY	0200000	/* must be a directory */
-#define O_NOFOLLOW	0400000 /* don't follow links */
-#define O_NOATIME	01000000
-
 #define F_GETLK		5
 #define F_SETLK		6
 #define F_SETLKW	7
diff -puN include/asm-ia64/fcntl.h~clean-up-the-open-flags include/asm-ia64/fcntl.h
--- devel/include/asm-ia64/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-ia64/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -1,31 +1,10 @@
 #ifndef _ASM_IA64_FCNTL_H
 #define _ASM_IA64_FCNTL_H
 /*
- * Based on <asm-i386/fcntl.h>.
- *
  * Modified 1998-2000
  *	David Mosberger-Tang <davidm@hpl.hp.com>, Hewlett-Packard Co.
  */
 
-/*
- * open/fcntl - O_SYNC is only implemented on blocks devices and on
- * files located on an ext2 file system
- */
-#define O_CREAT		   0100	/* not fcntl */
-#define O_EXCL		   0200	/* not fcntl */
-#define O_NOCTTY	   0400	/* not fcntl */
-#define O_TRUNC		  01000	/* not fcntl */
-#define O_APPEND	  02000
-#define O_NONBLOCK	  04000
-#define O_NDELAY	O_NONBLOCK
-#define O_SYNC		 010000
-#define FASYNC		 020000	/* fcntl, for BSD compatibility */
-#define O_DIRECT	 040000	/* direct disk access hint - currently ignored */
-#define O_LARGEFILE	0100000
-#define O_DIRECTORY	0200000	/* must be a directory */
-#define O_NOFOLLOW	0400000 /* don't follow links */
-#define O_NOATIME	01000000
-
 #define F_GETLK		5
 #define F_SETLK		6
 #define F_SETLKW	7
diff -puN include/asm-m32r/fcntl.h~clean-up-the-open-flags include/asm-m32r/fcntl.h
--- devel/include/asm-m32r/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-m32r/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -5,23 +5,6 @@
 
 /* orig : i386 2.4.18 */
 
-/* open/fcntl - O_SYNC is only implemented on blocks devices and on files
-   located on an ext2 file system */
-#define O_CREAT		   0100	/* not fcntl */
-#define O_EXCL		   0200	/* not fcntl */
-#define O_NOCTTY	   0400	/* not fcntl */
-#define O_TRUNC		  01000	/* not fcntl */
-#define O_APPEND	  02000
-#define O_NONBLOCK	  04000
-#define O_NDELAY	O_NONBLOCK
-#define O_SYNC		 010000
-#define FASYNC		 020000	/* fcntl, for BSD compatibility */
-#define O_DIRECT	 040000	/* direct disk access hint */
-#define O_LARGEFILE	0100000
-#define O_DIRECTORY	0200000	/* must be a directory */
-#define O_NOFOLLOW	0400000 /* don't follow links */
-#define O_NOATIME	01000000
-
 #define F_GETLK		5
 #define F_SETLK		6
 #define F_SETLKW	7
diff -puN include/asm-m68k/fcntl.h~clean-up-the-open-flags include/asm-m68k/fcntl.h
--- devel/include/asm-m68k/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-m68k/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -1,22 +1,10 @@
 #ifndef _M68K_FCNTL_H
 #define _M68K_FCNTL_H
 
-/* open/fcntl - O_SYNC is only implemented on blocks devices and on files
-   located on an ext2 file system */
-#define O_CREAT		  0100	/* not fcntl */
-#define O_EXCL		  0200	/* not fcntl */
-#define O_NOCTTY	  0400	/* not fcntl */
-#define O_TRUNC		 01000	/* not fcntl */
-#define O_APPEND	 02000
-#define O_NONBLOCK	 04000
-#define O_NDELAY	O_NONBLOCK
-#define O_SYNC		010000
-#define FASYNC		020000	/* fcntl, for BSD compatibility */
 #define O_DIRECTORY	040000	/* must be a directory */
 #define O_NOFOLLOW	0100000	/* don't follow links */
 #define O_DIRECT	0200000	/* direct disk access hint - currently ignored */
 #define O_LARGEFILE	0400000
-#define O_NOATIME	01000000
 
 #define F_GETLK		5
 #define F_SETLK		6
diff -puN include/asm-mips/fcntl.h~clean-up-the-open-flags include/asm-mips/fcntl.h
--- devel/include/asm-mips/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-mips/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -8,23 +8,15 @@
 #ifndef _ASM_FCNTL_H
 #define _ASM_FCNTL_H
 
-/* open/fcntl - O_SYNC is only implemented on blocks devices and on files
-   located on an ext2 file system */
 #define O_APPEND	0x0008
 #define O_SYNC		0x0010
 #define O_NONBLOCK	0x0080
 #define O_CREAT         0x0100	/* not fcntl */
-#define O_TRUNC		0x0200	/* not fcntl */
 #define O_EXCL		0x0400	/* not fcntl */
 #define O_NOCTTY	0x0800	/* not fcntl */
 #define FASYNC		0x1000	/* fcntl, for BSD compatibility */
 #define O_LARGEFILE	0x2000	/* allow large file opens */
 #define O_DIRECT	0x8000	/* direct disk access hint */
-#define O_DIRECTORY	0x10000	/* must be a directory */
-#define O_NOFOLLOW	0x20000	/* don't follow links */
-#define O_NOATIME	0x40000
-
-#define O_NDELAY	O_NONBLOCK
 
 #define F_GETLK		14
 #define F_SETLK		6
diff -puN include/asm-parisc/fcntl.h~clean-up-the-open-flags include/asm-parisc/fcntl.h
--- devel/include/asm-parisc/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-parisc/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -6,19 +6,15 @@
 #define O_APPEND	00000010
 #define O_BLKSEEK	00000100 /* HPUX only */
 #define O_CREAT		00000400 /* not fcntl */
-#define O_TRUNC		00001000 /* not fcntl */
 #define O_EXCL		00002000 /* not fcntl */
 #define O_LARGEFILE	00004000
 #define O_SYNC		00100000
 #define O_NONBLOCK	00200004 /* HPUX has separate NDELAY & NONBLOCK */
-#define O_NDELAY	O_NONBLOCK
 #define O_NOCTTY	00400000 /* not fcntl */
 #define O_DSYNC		01000000 /* HPUX only */
 #define O_RSYNC		02000000 /* HPUX only */
 #define O_NOATIME	04000000
 
-#define FASYNC		00020000 /* fcntl, for BSD compatibility */
-#define O_DIRECT	00040000 /* direct disk access hint - currently ignored */
 #define O_DIRECTORY	00010000 /* must be a directory */
 #define O_NOFOLLOW	00000200 /* don't follow links */
 #define O_INVISIBLE	04000000 /* invisible I/O, for DMAPI/XDSM */
diff -puN include/asm-ppc/fcntl.h~clean-up-the-open-flags include/asm-ppc/fcntl.h
--- devel/include/asm-ppc/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-ppc/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -1,22 +1,10 @@
 #ifndef _PPC_FCNTL_H
 #define _PPC_FCNTL_H
 
-/* open/fcntl - O_SYNC is only implemented on blocks devices and on files
-   located on an ext2 file system */
-#define O_CREAT		   0100	/* not fcntl */
-#define O_EXCL		   0200	/* not fcntl */
-#define O_NOCTTY	   0400	/* not fcntl */
-#define O_TRUNC		  01000	/* not fcntl */
-#define O_APPEND	  02000
-#define O_NONBLOCK	  04000
-#define O_NDELAY	O_NONBLOCK
-#define O_SYNC		 010000
-#define FASYNC		 020000	/* fcntl, for BSD compatibility */
 #define O_DIRECTORY      040000	/* must be a directory */
 #define O_NOFOLLOW      0100000	/* don't follow links */
 #define O_LARGEFILE     0200000
 #define O_DIRECT	0400000	/* direct disk access hint */
-#define O_NOATIME	01000000
 
 #define F_GETLK		5
 #define F_SETLK		6
diff -puN include/asm-s390/fcntl.h~clean-up-the-open-flags include/asm-s390/fcntl.h
--- devel/include/asm-s390/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-s390/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -8,23 +8,6 @@
 #ifndef _S390_FCNTL_H
 #define _S390_FCNTL_H
 
-/* open/fcntl - O_SYNC is only implemented on blocks devices and on files
-   located on an ext2 file system */
-#define O_CREAT		   0100	/* not fcntl */
-#define O_EXCL		   0200	/* not fcntl */
-#define O_NOCTTY	   0400	/* not fcntl */
-#define O_TRUNC		  01000	/* not fcntl */
-#define O_APPEND	  02000
-#define O_NONBLOCK	  04000
-#define O_NDELAY	O_NONBLOCK
-#define O_SYNC		 010000
-#define FASYNC		 020000	/* fcntl, for BSD compatibility */
-#define O_DIRECT	 040000	/* direct disk access hint */
-#define O_LARGEFILE	0100000
-#define O_DIRECTORY	0200000	/* must be a directory */
-#define O_NOFOLLOW	0400000 /* don't follow links */
-#define O_NOATIME	01000000
-
 #define F_GETLK		5
 #define F_SETLK		6
 #define F_SETLKW	7
diff -puN include/asm-sh/fcntl.h~clean-up-the-open-flags include/asm-sh/fcntl.h
--- devel/include/asm-sh/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-sh/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -1,23 +1,6 @@
 #ifndef __ASM_SH_FCNTL_H
 #define __ASM_SH_FCNTL_H
 
-/* open/fcntl - O_SYNC is only implemented on blocks devices and on files
-   located on an ext2 file system */
-#define O_CREAT		   0100	/* not fcntl */
-#define O_EXCL		   0200	/* not fcntl */
-#define O_NOCTTY	   0400	/* not fcntl */
-#define O_TRUNC		  01000	/* not fcntl */
-#define O_APPEND	  02000
-#define O_NONBLOCK	  04000
-#define O_NDELAY	O_NONBLOCK
-#define O_SYNC		 010000
-#define FASYNC		 020000	/* fcntl, for BSD compatibility */
-#define O_DIRECT	 040000	/* direct disk access hint - currently ignored */
-#define O_LARGEFILE	0100000
-#define O_DIRECTORY	0200000	/* must be a directory */
-#define O_NOFOLLOW	0400000 /* don't follow links */
-#define O_NOATIME	01000000
-
 #define F_GETLK		5
 #define F_SETLK		6
 #define F_SETLKW	7
diff -puN include/asm-sparc64/fcntl.h~clean-up-the-open-flags include/asm-sparc64/fcntl.h
--- devel/include/asm-sparc64/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-sparc64/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -13,8 +13,6 @@
 #define O_SYNC		0x2000
 #define O_NONBLOCK	0x4000
 #define O_NOCTTY	0x8000	/* not fcntl */
-#define O_DIRECTORY	0x10000	/* must be a directory */
-#define O_NOFOLLOW	0x20000	/* don't follow links */
 #define O_LARGEFILE	0x40000
 #define O_DIRECT        0x100000 /* direct disk access hint */
 #define O_NOATIME	0x200000
diff -puN include/asm-sparc/fcntl.h~clean-up-the-open-flags include/asm-sparc/fcntl.h
--- devel/include/asm-sparc/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-sparc/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -13,8 +13,6 @@
 #define O_NONBLOCK	0x4000
 #define O_NDELAY	(0x0004 | O_NONBLOCK)
 #define O_NOCTTY	0x8000	/* not fcntl */
-#define O_DIRECTORY	0x10000	/* must be a directory */
-#define O_NOFOLLOW	0x20000	/* don't follow links */
 #define O_LARGEFILE	0x40000
 #define O_DIRECT        0x100000 /* direct disk access hint */
 #define O_NOATIME	0x200000
diff -puN include/asm-v850/fcntl.h~clean-up-the-open-flags include/asm-v850/fcntl.h
--- devel/include/asm-v850/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-v850/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -1,22 +1,10 @@
 #ifndef __V850_FCNTL_H__
 #define __V850_FCNTL_H__
 
-/* open/fcntl - O_SYNC is only implemented on blocks devices and on files
-   located on an ext2 file system */
-#define O_CREAT		  0100	/* not fcntl */
-#define O_EXCL		  0200	/* not fcntl */
-#define O_NOCTTY	  0400	/* not fcntl */
-#define O_TRUNC		 01000	/* not fcntl */
-#define O_APPEND	 02000
-#define O_NONBLOCK	 04000
-#define O_NDELAY	O_NONBLOCK
-#define O_SYNC		010000
-#define FASYNC		020000	/* fcntl, for BSD compatibility */
 #define O_DIRECTORY	040000	/* must be a directory */
 #define O_NOFOLLOW     0100000	/* don't follow links */
 #define O_DIRECT       0200000	/* direct disk access hint - currently ignored */
 #define O_LARGEFILE    0400000
-#define O_NOATIME	01000000
 
 #define F_GETLK		5
 #define F_SETLK		6
diff -puN include/asm-x86_64/fcntl.h~clean-up-the-open-flags include/asm-x86_64/fcntl.h
--- devel/include/asm-x86_64/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-x86_64/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -1,23 +1,6 @@
 #ifndef _X86_64_FCNTL_H
 #define _X86_64_FCNTL_H
 
-/* open/fcntl - O_SYNC is only implemented on blocks devices and on files
-   located on an ext2 file system */
-#define O_CREAT		   0100	/* not fcntl */
-#define O_EXCL		   0200	/* not fcntl */
-#define O_NOCTTY	   0400	/* not fcntl */
-#define O_TRUNC		  01000	/* not fcntl */
-#define O_APPEND	  02000
-#define O_NONBLOCK	  04000
-#define O_NDELAY	O_NONBLOCK
-#define O_SYNC		 010000
-#define FASYNC		 020000	/* fcntl, for BSD compatibility */
-#define O_DIRECT	 040000	/* direct disk access hint */
-#define O_LARGEFILE	0100000
-#define O_DIRECTORY	0200000	/* must be a directory */
-#define O_NOFOLLOW	0400000 /* don't follow links */
-#define O_NOATIME	01000000
-
 #define F_GETLK		5
 #define F_SETLK		6
 #define F_SETLKW	7
diff -puN include/asm-xtensa/fcntl.h~clean-up-the-open-flags include/asm-xtensa/fcntl.h
--- devel/include/asm-xtensa/fcntl.h~clean-up-the-open-flags	2005-08-31 00:08:47.000000000 -0700
+++ devel-akpm/include/asm-xtensa/fcntl.h	2005-08-31 00:08:47.000000000 -0700
@@ -18,18 +18,13 @@
 #define O_SYNC		0x0010
 #define O_NONBLOCK	0x0080
 #define O_CREAT         0x0100	/* not fcntl */
-#define O_TRUNC		0x0200	/* not fcntl */
 #define O_EXCL		0x0400	/* not fcntl */
 #define O_NOCTTY	0x0800	/* not fcntl */
 #define FASYNC		0x1000	/* fcntl, for BSD compatibility */
 #define O_LARGEFILE	0x2000	/* allow large file opens - currently ignored */
 #define O_DIRECT	0x8000	/* direct disk access hint - currently ignored*/
-#define O_DIRECTORY	0x10000	/* must be a directory */
-#define O_NOFOLLOW	0x20000	/* don't follow links */
 #define O_NOATIME	0x100000
 
-#define O_NDELAY	O_NONBLOCK
-
 #define F_GETLK		14
 #define F_GETLK64       15
 #define F_SETLK		6
_
